Name:           asdf
Version:        0.16.2
Release:        1%{?dist}
Summary:        Manage multiple runtime versions with a single CLI tool.

License:        MIT
URL:            https://asdf-vm.com
Source0:        %{name}-%{version}.tar.gz
Source1:        https://github.com/asdf-vm/asdf/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  golang
BuildRequires:  tar
BuildRequires:  gzip
BuildRequires:  git
BuildRequires:  patch
BuildRequires:  xz
BuildRequires:  bzip2
Requires:       git
Requires:       curl
Requires:       wget2
Requires:       unzip
Requires:       tar
Requires:       gzip
Requires:       xz
Requires:       bzip2

Provides:       %{name} = %{version}

%description
asdf is a CLI tool that can manage multiple language runtime versions on a 
per-project basis. It is like gvm, nvm, rbenv & pyenv (and more) all in one! 
Simply install your language's plugin!

%global debug_package %{nil}

%prep
%setup
%setup -T -D -a 1

%build
mv src/go.mod.patch %{name}-%{version}/
cd %{name}-%{version}
cp go.mod go.mod.orig
patch < go.mod.patch
make build

%install
install -Dpm 0755 %{_builddir}/%{name}-%{version}/%{name}-%{version}/%{name} %{buildroot}%{_bindir}/%{name}

%check
cd %{name}-%{version}
make verify
make vet
export ASDF_DATA_DIR="$(pwd)/.asdf"
export PATH="${ASDF_DATA_DIR}/shims:$(pwd)/bin:${PATH}"
asdf plugin add golang
asdf plugin add bats
asdf plugin add shellcheck
asdf plugin add shfmt
asdf install
make test

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md


%changelog
* Tue Feb 11 2025 Annie Ehler <annie.ehler.4@gmail.com>
- Update the final install dir (annie.ehler.4@gmail.com)

* Tue Feb 11 2025 Annie Ehler <annie.ehler.4@gmail.com>
- Move to tito mock (annie.ehler.4@gmail.com)

* Tue Feb 11 2025 Annie Ehler <annie.ehler.4@gmail.com>
- Move to tito mock (annie.ehler.4@gmail.com)

* Tue Feb 11 2025 Annie Ehler <annie.ehler.4@gmail.com>
- Git is required by go (annie.ehler.4@gmail.com)

* Tue Feb 11 2025 Annie Ehler <annie.ehler.4@gmail.com> 0.16.2-1
- Package asdf version 0.16.2 
